FUNCTION SPEX_FLUXCAL,wave,spec,file=file,sm=sm

loadct,39

cdummy = ''
IF n_elements(sm)   EQ 0 THEN sm = 50
IF n_elements(file) EQ 0 THEN file = 'fg191b2b.dat'

read_calib:
openr,unit,file,/get_lun,error=err
IF err NE 0 THEN BEGIN 
    PRINT,'% SPEX_FIT_WAVE : file not found: ',spectrum
    PRINT,'% SPEX_FIT_WAVE : enter new file for wavelength calibration'
    read,file
    GOTO,read_calib
ENDIF 
readf,unit,d1,d2
data = dblarr(d1,d2)
readf,unit,data
free_lun,unit

w_ind = sort(wave)
wsave=wave(w_ind)
wave=wave(w_ind)
spec=spec(w_ind)

yfit = interpol(data(1,*),data(0,*),wave)
window,0,title="Spline Fit"
window,1,title="Zoom"
windowset,0
plot,data(0,*),data(1,*),xtitle='wavelength',ytitle='flux',ystyle=1
oplot,wave,yfit,color=20
PRINT,' '
PRINT,'% SPEX_FLUXCAL: ready to continue? press return'
PRINT,' '
read,cdummy                     ; wait for orders

flag = 0
newfit2:
yfit = interpol(data(1,*),data(0,*),wave)
yrel = yfit/spec

    plot,wave,yrel,xtitle='wavelength',ytitle='flux calibration factor'
    IF (flag EQ 1) THEN BEGIN 
        oplot,x,y,color=40,psym=2
        IF n_elements(x) GT 3 THEN oplot,wsave,spline(x,y,wsave),color=40
    ENDIF 
    message,'Left   mouse click   : mark points for SPLINE fit',/inf
    message,'Middle mouse click   : end ',/inf
    message,'Right  mouse click   : delete points from SPLINE fit',/inf
    
    REPEAT BEGIN
        
        yfit = interpol(data(1,*),data(0,*),wave)
        yrel = yfit/spec
        
        cursor,xx1,yy1,/data
        wait,0.3
        mouse=!mouse.button
        plot,wave,yrel,xtitle='wavelength',ytitle='flux calibration factor'
        CASE mouse OF
            
            
            1: BEGIN 
;                IF n_elements(x) NE 0 THEN BEGIN 
                windowset,1
                indplot = where(wave GE xx1*.9 AND wave LE xx1*1.1)
    REPEAT BEGIN
                plot,wave(indplot),yrel(indplot),xtitle='wavelength',ytitle='flux calibration factor',ystyle=1
                IF n_elements(x) EQ 1 THEN BEGIN
                    plots,x,y,color=40,psym=2
                    plots,x,y,color=40,psym=2,/continue
                ENDIF 
                IF n_elements(x) GT 1 THEN  BEGIN 
                    oplot,x,y,color=40,psym=2
                ENDIF 
                message,'Left   mouse click   : mark point in ZOOM window ',/inf
                message,'Middle mouse click   : exit ZOOM window ',/inf
                cursor,xx1,yy1,/data
                wait,0.3
                mouse2=!mouse.button
IF (mouse2 ne 2) THEN BEGIN 
                IF n_elements(x) NE 0 THEN BEGIN
                    x = [x,xx1]
                    y = [y,yy1]
                    x_ind = sort(x)
                    x = x(x_ind)
                    y = y(x_ind)
                ENDIF ELSE BEGIN  
                    x = xx1
                    y = yy1
                    plots,x,y,color=40,psym=2
                ENDELSE 
                plots,x,y,color=40,psym=2,/continue
                IF n_elements(x) GT 3 THEN oplot,wsave,spline(x,y,wsave),color=40
ENDIF 
    ENDREP UNTIL (mouse2 eq 2)
                windowset,0
                IF n_elements(x) EQ 1 THEN BEGIN
                    plots,x,y,color=40,psym=2
                    plots,x,y,color=40,psym=2,/continue
                ENDIF
                IF n_elements(x) GT 1 THEN  BEGIN
                    oplot,x,y,color=40,psym=2
                ENDIF
        IF n_elements(x) GT 3 THEN oplot,wsave,spline(x,y,wsave),color=40

                message,'next point in SPLINE FIT window ',/inf

;                ENDIF ELSE BEGIN 
;                    x = xx1
;                    y = yy1
;                ENDELSE 
               ; diff = (wave-xx1)^2 + (yrel-yy1)^2
               ; x_reject = where (diff EQ min(diff))
               ; ind = where(indgen(n_elements(ind)) NE x_reject(0))
               ; wave = wave(ind)
               ; spec = spec(ind)
               ; wait,0.3
            END
            
            2: BEGIN 
                PRINT,' '
                PRINT,'% SPEX_FLUXCAL: finished rejection'
                PRINT,' '
            END 
            
            4: BEGIN
               ind = indgen(n_elements(x))
               diff = (x-xx1)^2 + (y-yy1)^2
               x_reject = where (diff EQ min(diff))
               ind = where(indgen(n_elements(ind)) NE x_reject(0))
               x = x(ind)
               y = y(ind)
               wait,0.3
               oplot,x,y,color=40,psym=2
               IF n_elements(x) GT 3 THEN oplot,wsave,spline(x,y,wsave),color=40
            END
        ENDCASE 
    ENDREP UNTIL (mouse eq 2)
    
plot,wave,yrel,xtitle='wavelength',ytitle='flux calibration factor'
oplot,wsave,spline(x,y,wsave,5),color=40
wait,2
obj_f = spec*spline(x,y,wsave)
plot,wsave,obj_f,xtitle='wavelength',ytitle='flux'
PRINT,'% SPEX_FLUXCAL: ready to continue? press return'
PRINT,'% SPEX_FLUXCAL: add/delete points? press a'
read,cdummy
IF cdummy EQ 'a' THEN BEGIN
    flag = 1
    GOTO, newfit2
ENDIF 

return,spline(x,y,wsave)

END



