PRO SPEX_RECTIFY,x_theory,y_theory,y_obs,wavelength,degree=degree,width=width,no_plot=no_plot
   
   IF n_elements(no_plot) EQ 0 THEN no_plot=0
   IF wavelength(0) EQ -1 THEN return
   
   PRINT,'% SPEX_RECTIFY: rectifying now'
   IF no_plot EQ 0 THEN windowset,1
   loadct,39
   cdummy=''
   
; rectify an observed spectrum to a theoretical one at given
; WAVELEGTHS with polynom of order degrre (3 as default)
; procedure: measure flux in theory and observation at waveleghts, in
; intervals of width WIDTH and calculate a polynom fitting the
; fluxratios between theory and observation
   
   IF n_elements(degree) EQ 0 THEN degree = 3
   IF n_elements(width)  EQ 0 THEN width = 5
   
   dim = n_elements(wavelength)
   flux_theory = dblarr(dim)
   flux_obs    = dblarr(dim)
   
; determine flux
   FOR k = 0,dim-1 DO BEGIN
       ind = where(x_theory GT wavelength(k)-width AND x_theory LT wavelength(k))
       flux_theory(k) = median(y_theory(ind))
;       ind = where(x_obs GT wavelength(k)-width AND x_obs LT wavelength(k))
       flux_obs(k) = median(y_obs(ind))
   ENDFOR

newplot:   
; polynomial fit
   coeff = poly_fit(wavelength,flux_theory/flux_obs,degree,/double)
   correct = dblarr(n_elements(x_theory))
   FOR k = 0,degree DO correct = correct + coeff(k)*x_theory^k
   FOR k = 0,degree DO print,coeff(k)

; apply correction
   y_obs_zwischen = y_obs*correct

   IF no_plot EQ 0 THEN BEGIN 
       plot,wavelength,flux_theory/flux_obs,xtitle='wavelength',ytitle='relative deviation'
       oplot,x_theory,correct,color=100
       PRINT,'% SPEX_RECTIFY: ready to continue?      press return'
       PRINT,'% SPEX_RECTIFY: new polynomial fit?     enter degree'
       
       read,cdummy                                 ;; wait for orders
       CASE cdummy OF
           
           '' : PRINT,'% SPEX_RECTIFY: continuing '            
           ELSE: BEGIN
               degree = fix(cdummy)
               GOTO,newplot
           END    
       ENDCASE
   ENDIF 
   
   y_obs = y_obs_zwischen
   
   return
END







